/* Generated by the protocol buffer compiler.  DO NOT EDIT! */
/* Generated from: fake_lib.proto */

/* Do not generate deprecated warnings for self */
#ifndef PROTOBUF_C__NO_DEPRECATED
#define PROTOBUF_C__NO_DEPRECATED
#endif

#include "fake_lib.pb-c.h"
void   adc__init
                     (ADC         *message)
{
  static const ADC init_value = ADC__INIT;
  *message = init_value;
}
size_t adc__get_packed_size
                     (const ADC *message)
{
  assert(message->base.descriptor == &adc__descriptor);
  return protobuf_c_message_get_packed_size ((const ProtobufCMessage*)(message));
}
size_t adc__pack
                     (const ADC *message,
                      uint8_t       *out)
{
  assert(message->base.descriptor == &adc__descriptor);
  return protobuf_c_message_pack ((const ProtobufCMessage*)message, out);
}
size_t adc__pack_to_buffer
                     (const ADC *message,
                      ProtobufCBuffer *buffer)
{
  assert(message->base.descriptor == &adc__descriptor);
  return protobuf_c_message_pack_to_buffer ((const ProtobufCMessage*)message, buffer);
}
ADC *
       adc__unpack
                     (ProtobufCAllocator  *allocator,
                      size_t               len,
                      const uint8_t       *data)
{
  return (ADC *)
     protobuf_c_message_unpack (&adc__descriptor,
                                allocator, len, data);
}
void   adc__free_unpacked
                     (ADC *message,
                      ProtobufCAllocator *allocator)
{
  if(!message)
    return;
  assert(message->base.descriptor == &adc__descriptor);
  protobuf_c_message_free_unpacked ((ProtobufCMessage*)message, allocator);
}
static const ProtobufCFieldDescriptor adc__field_descriptors[2] =
{
  {
    "id",
    1,
    PROTOBUF_C_LABEL_NONE,
    PROTOBUF_C_TYPE_STRING,
    0,   /* quantifier_offset */
    offsetof(ADC, id),
    NULL,
    &protobuf_c_empty_string,
    0,             /* flags */
    0,NULL,NULL    /* reserved1,reserved2, etc */
  },
  {
    "value",
    2,
    PROTOBUF_C_LABEL_NONE,
    PROTOBUF_C_TYPE_UINT32,
    0,   /* quantifier_offset */
    offsetof(ADC, value),
    NULL,
    NULL,
    0,             /* flags */
    0,NULL,NULL    /* reserved1,reserved2, etc */
  },
};
static const unsigned adc__field_indices_by_name[] = {
  0,   /* field[0] = id */
  1,   /* field[1] = value */
};
static const ProtobufCIntRange adc__number_ranges[1 + 1] =
{
  { 1, 0 },
  { 0, 2 }
};
const ProtobufCMessageDescriptor adc__descriptor =
{
  PROTOBUF_C__MESSAGE_DESCRIPTOR_MAGIC,
  "ADC",
  "ADC",
  "ADC",
  "",
  sizeof(ADC),
  2,
  adc__field_descriptors,
  adc__field_indices_by_name,
  1,  adc__number_ranges,
  (ProtobufCMessageInit) adc__init,
  NULL,NULL,NULL    /* reserved[123] */
};
